iop_sdk 5.0.0 copy "iop_sdk: ^5.0.0" to clipboard
iop_sdk: ^5.0.0 copied to clipboard

SDK for Decentralized Access Control based on W3C standards to provide SSI with decentralized identifiers (DID), keys, rights and verifiable claims/credentials (VC).

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add iop_sdk

With Flutter:

 $ flutter pub add iop_sdk

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  iop_sdk: ^5.0.0

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:iop_sdk/authority.dart';
import 'package:iop_sdk/crypto.dart';
import 'package:iop_sdk/entities.dart';
import 'package:iop_sdk/inspector.dart';
import 'package:iop_sdk/layer1.dart';
import 'package:iop_sdk/layer2.dart';
import 'package:iop_sdk/network.dart';
import 'package:iop_sdk/scalar_box.dart';
import 'package:iop_sdk/ssi.dart';
import 'package:iop_sdk/utils.dart';
import 'package:iop_sdk/verifier.dart';
3
likes
120
pub points
32%
popularity

Publisher

verified publisheriop.global

SDK for Decentralized Access Control based on W3C standards to provide SSI with decentralized identifiers (DID), keys, rights and verifiable claims/credentials (VC).

Homepage
Repository (GitHub)
View/report issues

Documentation

Documentation
API reference

License

LGPL-3.0 (license)

Dependencies

ffi, http, json_annotation, json_serializable, meta

More

Packages that depend on iop_sdk